
clear;  clc


problem_found = false;


% check MATLAB version for compatibility with SPM1D.
v  = ver('MATLAB');
mver = str2double(v.Version);
if mver < 8.4 
    problem_found = true;
    fprintf('spm1d error:\n   Your MATLAB version is incompatible with spm1d.\n   Please upgrade to version 2014b or later,\n   or inform the instructors that you will not bring your own laptop.\n \n')
end

% check MATLAB version for compatibility with using live scripts.
if ~problem_found
    if mver < 9.0 % check ability to use live scripts.
    fprintf('spm1d non-critical error:\n   Your MATLAB version does not allow the use of live scripts.\n   If possible, upgrade to version 2016a or later,\n   or inform the instructors that you will not be able to run live scripts.\n \n')
    end
end
 
% check for Statistics Toolbox
if ~problem_found
    v = ver;
    vnames = {v.Name};
    if ~ismember('Statistics and Machine Learning Toolbox', vnames)
        problem_found = true;
        fprintf('spm1d warning:\n   Statistics toolbox not found.\n   You will be able to run all spm1d examples in the workshop\n       but will not be able to use MATLAB''s\n       Statistics Toolbox to verify some results.\n\n')
    end
end


% check spm1d installation
if ~problem_found
    try
        tstar = spm1d.rft1d.t.isf(0.05, [1,8], 10, 101);
    catch
        problem_found = true;
        fprintf('spm1d error:\n   spm1d is incorrectly installed.\n   Check the installation instructions here:\n   www.spm1d.org/install/InstallationMatlab.html\n\n')
    end
end


if ~problem_found
    fprintf('spm1d installation success!\n   You will be able to run all spm1d examples.\n   Have a good workshop!\n\n')
end



